﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using System.Drawing;
using Syncfusion.Pdf.Tables;

namespace PdfNumberField
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        PdfDocument doc = new PdfDocument();
        private void button1_Click(object sender, EventArgs e)
        {
            PdfDocument doc = new PdfDocument();
            PdfPage page = doc.Pages.Add();
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 8);
            PdfSolidBrush brush = new PdfSolidBrush(Color.Black);
            PdfLightTable lightTable = new PdfLightTable();
            lightTable.DataSourceType = PdfLightTableDataSourceType.TableDirect;
            lightTable.Columns.Add(new PdfColumn("Name"));
            lightTable.Columns.Add(new PdfColumn(" "));
            lightTable.Columns.Add(new PdfColumn("Gender"));
            PdfRowCollection rowCollection = lightTable.Rows;
            // Create rows       
            rowCollection.Add(new object[] { "Mike", " ", "M" });
            rowCollection.Add(new object[] { "John", " ", "M" });
            rowCollection.Add(new object[] { "Paul", " ", "M" });
            rowCollection.Add(new object[] { "Jenni", " ", "F" });
            rowCollection.Add(new object[] { "Sam", " ", "M" });
            rowCollection.Add(new object[] { "Mary", " ", "F" });
            rowCollection.Add(new object[] { "Jessi", " ", "F" });
            rowCollection.Add(new object[] { "Hena", " ", "M" });
 
 
            lightTable.Style.ShowHeader = true;
            //Below event is raised everytime when cell is created.
            lightTable.BeginCellLayout += new BeginCellLayoutEventHandler(lightTable_BeginCellLayout);
            //Layout format
            PdfLightTableLayoutFormat format = new PdfLightTableLayoutFormat();
            format.Layout = PdfLayoutType.Paginate;
            format.Break = PdfLayoutBreakType.FitElement;
            lightTable.Style.RepeatHeader = true;

            lightTable.Draw(page, new PointF(0, 0), format);
            doc.Save("sample.pdf");
            System.Diagnostics.Process.Start("sample.pdf");
        }

        private void lightTable_BeginCellLayout(object sender, BeginCellLayoutEventArgs args)
        {
            if (args.CellIndex == 1)
            {
                RectangleF rect = new System.Drawing.RectangleF(args.Bounds.X, args.Bounds.Y, args.Bounds.Width, args.Bounds.Height);
                PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 8);
                PdfSolidBrush brush = new PdfSolidBrush(Color.Black);
                PdfPageNumberField pageNumber = new PdfPageNumberField(font, brush);
                PdfPageCountField count = new PdfPageCountField(font, brush);
                PdfCompositeField compositeField = new PdfCompositeField(font, brush, "Page NO {0}", pageNumber);
                compositeField.Draw(args.Graphics, new System.Drawing.PointF(rect.X, rect.Y));
            }
        }
    }
}
